%undefine __cmake_in_source_build
%global _vpath_builddir build
Summary:       Yet Another JSON Library (YAJL)
Name:          yajl
Version:       2.1.0
Release:       5%{?dist}
License:       ISC
URL:           https://github.com/lloyd/yajl

Source0:       https://github.com/lloyd/yajl/%{name}-%{version}.tar.gz
Patch3000:     yajl-2.1.0-pkgconfig-location.patch
Patch3001:     yajl-2.1.0-pkgconfig-includedir.patch
Patch3002:     yajl-2.1.0-test-location.patch
Patch3003:     yajl-2.1.0-dynlink-binaries.patch
Patch3004:     yajl-fix-memory-leak-problem.patch            
Patch3005:     fix-memory-leaks.patch

BuildRequires: gcc cmake

%description
Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator.

%package devel
Summary: Libraries, includes, etc to develop with YAJL
Requires: %{name} = %{version}-%{release}

%description devel
This sub-package provides the libraries and includes
necessary for developing against the YAJL library

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install
rm -f %{buildroot}%{_libdir}/libyajl_s.a


%check
cd test
(cd parsing && ./run_tests.sh)
(cd api && ./run_tests.sh)


%files
%license COPYING
%doc ChangeLog README TODO
%{_bindir}/json_reformat
%{_bindir}/json_verify
%{_libdir}/libyajl.so.2
%{_libdir}/libyajl.so.2.*

%files devel
%dir %{_includedir}/yajl
%{_includedir}/yajl/yajl_common.h
%{_includedir}/yajl/yajl_gen.h
%{_includedir}/yajl/yajl_parse.h
%{_includedir}/yajl/yajl_tree.h
%{_includedir}/yajl/yajl_version.h
%{_libdir}/libyajl.so
%{_libdir}/pkgconfig/yajl.pc


%changelog
* Thu Nov 09 2023 Feng Weiyao <wynnfeng@tencent.com> - 2.1.0-5
- Fix multiple memory leaks (CVE-2023-33460)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 14 2022 Feng Weiyao <wynnfeng@tencent.com> - 2.1.0-1
- package init.

